%%%%%%%%%%%%%%%%%%%%%%%
%
%  Created by Lini Zhang "Credit crunches, Individual Heterogeneity  and
%  the Labor wedge"
%  December 27, 2017
%
%%%%%%%%%%%%%%%%%%%%%%%

clear all
close all

%business dyanmic statistics

bds=csvread('BDS.csv',1,0);

date = bds(:,1);
entry_rate = bds(:,2);
exit_rate = bds(:,3);

num = max(size(date));

%  Data_Recession contains U.S. recession start and end dates, 1857C2011,
%  discosed by NBER  
%  recession datenum will match with dates tick automatically
load Data_Recessions

datestring=datetime(1977,01,01):calmonths(12):datetime(2014,12,30);
dates=datenum(datestring);

figure;

p1=plot(dates,entry_rate,'LineWidth',2);  %plot data series against dates
hold on
p2=plot(dates,exit_rate,'LineWidth',2,'Color',[.7 0 0]);  %plot data series against dates
h = gca;
h.XTick = dates(1:5:end); %from 5th to end-8, extract a number every 8 counts
datetick('x','yyyy','keepticks')  %Label the x-axis with 4-digit years, preserving the x-axis ticks by using the 'keepticks' option.
xlabel 'Year';
legend('entry rate', 'exit rate') 
ylabel 'percent';
recessionplot
hBands = recessionplot;
set(hBands,'FaceAlpha',0.1)
uistack(p1,'top')
uistack(p2,'top')
%axis tight
